<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
  xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
  <ui:composition template="/pages/primodaltemplate.xhtml">
    <ui:define name="title">
      <h:outputText value="#{facesContext.translate('title.cohort.edit', cohortModel.study.name)}" />
    </ui:define>
    <ui:define name="body">
      <p:panelGrid columns="2" style="width: 100%">
        <h:outputText value="#{facesContext.translate('label.study.parent')}" />
        <p:selectOneMenu id="parent_id" value="#{cohortModel.study.parentId}" filter="true" filterMatchMode="startsWith" valueChangeListener="#{cohortModel.updateLocales}" required="true"
          requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.study.parent')}">
          <f:selectItem itemValue="" itemLabel="#{facesContext.translate('button.choose')}" />
          <f:selectItems value="#{cohortModel.studygroups}" var="p" itemValue="#{p.pk}" itemLabel="#{p.name}" />
          <p:ajax update="@form" onstart="ship.processing(10000)" oncomplete="ship.processed()" />
        </p:selectOneMenu>
        <h:outputText value="#{facesContext.translate('label.study.name')}" />
        <p:inputText id="name" value="#{cohortModel.study.name}" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.study.name')}">
          <f:attribute name="allowed" value="#{cohortModel.study.name}" />
          <f:validator validatorId="square.modules.model.cohort.StudyNameValidator" />
          <p:ajax update="@form" onstart="ship.processing(10000)" oncomplete="ship.processed()" />
        </p:inputText>
        <h:outputText value="#{facesContext.translate('label.study.description')}" />
        <ship:inputJson id="description" value="#{cohortModel.study.translationJson}" required="true" type="translation" typerestriction="#{cohortModel.study.localesJson}"
          labelall="#{facesContext.translate('label.display.all.translations')}" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.study.description')}" />
        <h:outputText value="#{facesContext.translate('label.study.startdate')}" />
        <p:datePicker id="startdt" value="#{cohortModel.study.startDate}" showTime="false" pattern="dd.MM.yyyy" />
        <h:outputText value="#{facesContext.translate('label.study.designfeature')}" />
        <p:datePicker id="designfeature" value="#{cohortModel.study.designfeature}" showTime="false" pattern="dd.MM.yyyy" />
        <h:outputText value="#{facesContext.translate('label.study.participants')}" />
        <p:inputNumber id="participants" value="#{cohortModel.study.participants}" decimalPlaces="0" />
        <h:outputText value="#{facesContext.translate('label.study.uniquename')}" />
        <h:outputText value="#{cohortModel.study.uniqueName}" />
      </p:panelGrid>
      <p:panelGrid id="studyattr" columns="2" rendered="#{!cohortModel.study.missingAttributes.isEmpty()}">
        <p:dataTable value="#{cohortModel.study.attributes}" var="sa">
          <p:column>
            <h:outputText value="#{sa.key}" />
            <f:facet name="footer">
              <p:selectOneMenu value="#{cohortModel.newAttributeKey}">
                <f:selectItems value="#{cohortModel.study.missingAttributes}" var="ma" itemValue="#{ma.key}" itemLabel="#{ma.key}" />
              </p:selectOneMenu>
            </f:facet>
          </p:column>
          <p:column>
            <ship:inputJson value="#{sa.jsonValue}" inputtype="#{sa.inputtype}" typerestriction="#{sa.jsonTyperestriction}" />
            <f:facet name="footer">
              <p:commandButton action="#{cohortController.doAddAttribute}" value="#{facesContext.translate('button.add')}" update="form:studyattr" />
            </f:facet>
          </p:column>
          <p:column>
            <p:commandButton action="#{cohortController.doRemoveAttribute(sa.key)}" value="#{facesContext.translate('button.remove')}" update="form:studyattr" />
          </p:column>
        </p:dataTable>
      </p:panelGrid>
    </ui:define>
    <ui:define name="formbuttons">
      <p:commandButton id="btn_ok" action="#{cohortController.doUpdateStudy}" value="#{facesContext.translate('button.approve')}" ajax="false" />
      <p:commandButton id="btn_cancel" action="#{cohortController.toWelcome}" value="#{facesContext.translate('button.cancel')}" ajax="false" immediate="true" />
    </ui:define>
    <ui:define name="help_de">
			Hier können Sie Attribute der Studie veränden. Um Ihre Änderungen zu speichern, klicken Sie bitte auf <i>Übernehmen</i>.<br />
      <br />
			Der Unique-Name ist nicht veränderbar, da er von Square² zur eindeutigen Identifikation automatisch zugewiesen wird.
		</ui:define>
    <ui:define name="help_en">
			Here you can edit certain attributes of the study. To save changes please click <i>approve</i>.<br />
      <br />
			Changing the unique name isn't possible. It's assigned automatically by Square² to enable an unambiguous identification.
		</ui:define>
    <ui:define name="help_ro">
		  Aici puteți modifica atributele studiului. Pentru a salva modificările, faceți clic pe <i>Preluare</i>.<br />
      <br />
		  Numele unic nu poate fi schimbat, deoarece este atribuit automat de Square² pentru o identificare unică.
		</ui:define>
  </ui:composition>
</h:body>
</html>